Skip to content

用户开卡

POST /openapi/v1/cards/issueCard
内容
请求方法POST
请求路径/openapi/v1/cards/issueCard
请求类型application/json

请求参数:

字段类型必填说明
requestNostring调用方业务幂等号,1 到 64 位可见 ASCII 字符,不能包含空格。
emailstring用户邮箱。
cardTypeIdstring卡类型 ID,最大 64 位。
embossedNamestring卡面姓名;是否必填及长度由卡产品配置决定。
cardSuffixstring指定卡号尾号;是否支持由卡产品配置决定。
mobilestring预留手机号;格式要求由卡产品配置决定。

响应 data

字段类型说明
cardOrderNostring平台开卡订单号。
requestNostring调用方业务幂等号。
emailstring用户邮箱。
memberIdstring平台成员 ID。
cardTypeIdstring卡类型 ID。
currencystring卡产品币种,通常为 ISO 4217 三位代码;由产品配置决定。
typestring卡类型,当前已知值为 PHYSICALVIRTUAL,产品配置可能扩展。
feeAmountstring开卡手续费金额,非科学计数法字符串。
feeAssetCodestring开卡手续费资产。
acceptedboolean是否已受理。
statusstring平台开卡状态,取值 PROCESSINGSUCCESSFAILED
failCodestring失败码。
failMessagestring失败说明。
last4string卡号后四位。
expiryMonthstring过期月份。
expiryYearstring过期年份。
createTimestring订单创建时间。
completedTimestring订单终态时间。